Entwurf Schicht

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Layer and the translation is 33% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Draft FlipDimension.svg Flip Dimension Vorherige:
Nächste: Neigung Draft Slope.svg Arrow-right.svg


Draft Layer.svg {{{Name/de}}}

Menüeintrag
Draft → Utilities → Layer
Arbeitsbereich
Draft Arbeitsbereich, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Keiner

Beschreibung

Die Entwurf Schicht erstellt eine spezielle Art von Gruppe, die die visuellen Eigenschaften von Objekten steuert, die in ihr platziert sind. Durch die Änderung der Eigenschaften der Ebene, wie Linienbreite, Linienfarbe, Formfarbe und Transparenz, werden die Änderungen auf die Objekte übertragen, die die Schichteigenschaft verwenden.

Dieses Werkzeug ersetzt Draft VisGroup ab FreeCAD 0.19.

Note: The BIM Workbench offers a complete layer manager tool, which will eventually be included in Draft.

Anwendung

  1. Gehe in das Menü Draft → Utilities → Draft Layer.svg Layer.
  2. Ändere die gewünschten Ansichtseigenschaften der Ebene.

Eigenschaften

  • Daten-EigenschaftGroup: gibt die Elemente an, die Teil der Gruppe sind.
  • Visuelle Eigenschaften, die geändert werden können und auf die Objekte übertragen werden: Zeichenstil, Linienfarbe, Linienbreite, Formfarbe, Transparenz und Sichtbarkeit.

Scripting

See also: FreeCAD Scripting Basics.

To add or remove objects from the layer, simply overwrite its Group attribute.

group = App.ActiveDocument.Layer.Group
group.append(App.ActiveDocument.Wire)
App.ActiveDocument.Layer.Group = group
Arrow-left.svg Draft FlipDimension.svg Flip Dimension Vorherige:
Nächste: Neigung Draft Slope.svg Arrow-right.svg